This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1464164 - Metrics upgrade from 3.4 problems when using hostPath for cassandra persistent volume
Metrics upgrade from 3.4 problems when using hostPath for cassandra persisten...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity low
: ---
: 3.6.z
Assigned To: Scott Dodson
Anping Li
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 10:44 EDT by Sergi Jimenez Romero
Modified: 2017-07-17 14:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github https://github.com/openshift/openshift-ansible/issues/4625 None None None 2017-07-07 12:02 EDT
Github https://github.com/openshift/openshift-ansible/issues/4627 None None None 2017-07-07 12:02 EDT

  None (edit)
Description Sergi Jimenez Romero 2017-06-22 10:44:03 EDT
Description of problem:

After upgrading OCP from 3.4 to 3.5, an issue was found when upgrading the metrics stack. Cassandra RC won't be modified when using hostPath for PV.

Version-Release number of selected component (if applicable):
3.5

How reproducible:
Always

Steps to Reproduce:
1. Upgrade OCP from 3.4 to 3.5.
2. Upgrade metrics stack using the ansible playbook using hostPath for cassandra PV.

Actual results:

The playbook keeps going but fails to update the hawkular-cassandra RC, the following error was found:

STDERR:

The ReplicationController "hawkular-cassandra-1" is invalid:
* spec.template.spec.volumes[0].hostPath: Forbidden: may not specify more than 1 volume type
* spec.template.spec.containers[0].volumeMounts[0].name: Not found: "cassandra-data"


Expected results:

The RC would be updated.

Additional info:

Workaround was found to change the RC definition to use emptyDir and after the upgrade finishes, modify it back to use hostPath.

The issues sounds a lot like: https://bugzilla.redhat.com/show_bug.cgi?id=1428249#c10

Note You need to log in before you can comment on or make changes to this bug.